% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/LLM_parallel_utils.R
\name{reset_llm_parallel}
\alias{reset_llm_parallel}
\title{Reset Parallel Environment}
\usage{
reset_llm_parallel(verbose = FALSE)
}
\arguments{
\item{verbose}{Logical. If TRUE, prints reset information.}
}
\value{
Invisibly returns the future plan that was in place before resetting to sequential.
}
\description{
Resets the future plan to sequential processing.
}
\examples{
\dontrun{
  # Setup parallel processing
  old_plan <- setup_llm_parallel(workers = 2)

  # Do some parallel work...

  # Reset to sequential
  reset_llm_parallel(verbose = TRUE)

  # Optionally restore the specific old_plan if it was non-sequential
  # future::plan(old_plan)
}
}
